RHEL 5 : mesa (RHSA-2013:0898)

Medium Nessus Plugin ID 66773


The remote Red Hat host is missing one or more security updates.


Updated mesa packages that fix multiple security issues are now available for Red Hat Enterprise Linux 5.

The Red Hat Security Response Team has rated this update as having moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

Mesa provides a 3D graphics API that is compatible with Open Graphics Library (OpenGL). It also provides hardware-accelerated drivers for many popular graphics chips.

It was found that Mesa did not correctly validate messages from the X server. A malicious X server could cause an application using Mesa to crash or, potentially, execute arbitrary code with the privileges of the user running the application. (CVE-2013-1993)

All users of Mesa are advised to upgrade to these updated packages, which contain backported patches to correct these issues. All running applications linked against Mesa must be restarted for this update to take effect.


Update the affected packages.

See Also



Plugin Details

Severity: Medium

ID: 66773

File Name: redhat-RHSA-2013-0898.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2013/06/03

Modified: 2017/01/05

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:glx-utils, p-cpe:/a:redhat:enterprise_linux:mesa-debuginfo, p-cpe:/a:redhat:enterprise_linux:mesa-libGL, p-cpe:/a:redhat:enterprise_linux:mesa-libGL-devel, p-cpe:/a:redhat:enterprise_linux:mesa-libGLU, p-cpe:/a:redhat:enterprise_linux:mesa-libGLU-devel, p-cpe:/a:redhat:enterprise_linux:mesa-libGLw, p-cpe:/a:redhat:enterprise_linux:mesa-libGLw-devel, p-cpe:/a:redhat:enterprise_linux:mesa-libOSMesa, p-cpe:/a:redhat:enterprise_linux:mesa-libOSMesa-devel, p-cpe:/a:redhat:enterprise_linux:mesa-source, cpe:/o:redhat:enterprise_linux:5, cpe:/o:redhat:enterprise_linux:5.9

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/06/03

Reference Information

CVE: CVE-2013-1993

BID: 60149

OSVDB: 93678

RHSA: 2013:0898